Page MenuHomePhabricator

Add support for property-specific formatting of labels
Closed, ResolvedPublic

Description

For some data types (URLs in particular, but also some external identifiers), it will be important to support property-specific formatting rules when displaying the human-readable label for a given value.

With this feature in place, the user could enter an alphanumeric string value for a property like Instagram username, and see a live link to the appropriate web page upon saving.

If formatting rules already exist for a particular property, the Wikibase format value API action will apply them propertly. We just need to update some API calls and related logic.

Details

Related Gerrit Patches:

Event Timeline

egardner created this task.Dec 1 2019, 10:24 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptDec 1 2019, 10:24 PM

Change 553873 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/WikibaseMediaInfo@master] Update FormatValueElement to support property-specific formatting rules

https://gerrit.wikimedia.org/r/553873

Ramsey-WMF reassigned this task from egardner to Cparle.Dec 2 2019, 5:33 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Assigning to Cormac for another code review look.

Change 553873 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Update FormatValueElement to support property-specific formatting rules

https://gerrit.wikimedia.org/r/553873

Ramsey-WMF closed this task as Resolved.Dec 16 2019, 10:22 PM

Tested on Production with Twitter Username and Freebase ID, worked as expected.